# Установка

В файл `composer.json` добавить

    "repositories": {
        "gitlab.iwayex.com/45": {
            "type": "composer",
            "url": "https://gitlab.iwayex.com/api/v4/group/45/-/packages/composer/packages.json"
        }
    }

Выполнить команду `composer require iwaydev/airlines-client`

В файле конфигов `app.php`, в секцию `'providers'` добавить провайдер

    Iwaydev\AirlinesClient\AirlinesServiceProvider::class

Опубликовать конфиг

    make artis q="vendor:publish --provider=\"Iwaydev\AirlinesClient\AirlinesServiceProvider\" --tag=config --force"

В файле `dev.stack.yml` для конейнера `php` в `extra_hosts` нужно добавить хосты:

```
extra_hosts:
  - "api.airlines-service.local:{{IP_ADDRESS}}"
```

# Настройка

В `.env` файлы для каждого стейджа прописываем переменные окружения:

```
    AIRLINES_URL=http://api.authorization.local:55
    AIRLINES_API_VERSION=v1
    AIRLINES_CACHE_LIFETIME=3600
```

Где:

- `AIRLINES_URL` - URL апи Airlines
- `AIRLINES_API_VERSION` - версия используемого апи
- `AIRLINES_CACHE_LIFETIME` - время, в секундах, на которое будут кэшироваться ответы

Если нужно переопределить дефолтное логирование,
то в файле конфигов `logging.php` нужно создать таргет с именами `airlines`:

```
...
'channels' => [
    ...
    'airlines' => [
        'driver' => 'daily',
        'path' => storage_path('logs/new-path/for-file.log'),
        'level' => 'debug',
        'days' => 14,
        'permission' => 0777
    ],
]
```